Bug 331934

Summary: JJ- Jamendo API change causes the service not to work anymore
Product: amarok Reporter: danielalston
Component: Services/JamendoAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED FIXED    
Severity: critical CC: cowboypatje, kretschmann, vedant.kota, yashladia1
Priority: NOR Keywords: junior-jobs, regression, release_blocker
Version: 2.8.0   
Target Milestone: 2.9   
Platform: unspecified   
OS: Other   
Latest Commit: Version Fixed In:

Description danielalston 2014-03-09 23:38:06 UTC
Whislt trying to use the Jamendo service. Amarok seems to try to connect to Jamendo and then fails.

Having a look at the source code. 

Amarok seems to try and grab data from this URL:

http://img.jamendo.com/data/dbdump_artistalbumtrack.xml.gz   trying to grab this manually results in a 404.

Looking in Jamendo's API.. the location of this file is:

http://imgjam.com/data/dbdump_artistalbumtrack.xml.gz

However this is marked as a deprecated method.



Reproducible: Always
Comment 1 Myriam Schweingruber 2014-03-11 08:57:50 UTC
what is marked as a deprecated method, the Jamendo API?
Comment 2 Myriam Schweingruber 2014-03-11 09:05:31 UTC
FWIW, quoting their API: "The get2 api set up, provided the possibility of downloading an XML dump of the Jamendo database, containing the list of artists, albums and tracks with their tags. Such service may or may not be stopped next year, depending on the Jamendo dev community usage and feedbacks."

If they stopped the possibility to download an XML dump, I doubt there is anything we can do about this. Sending to a dev to look into this ASAP.
Comment 3 Myriam Schweingruber 2014-03-11 09:06:41 UTC
Disregard comment #1, the API did indeed change *sigh*
Comment 4 danielalston 2014-03-11 09:17:28 UTC
Actually I think I might be mistaken about the deprecated part.  Admittedly I'm not a programmer, although I have some basic understanding.

Re-reading the API in the day (opposed to late at night when I originally read it). I think it's referring to a different method than Amarok uses.

However the location of the xml.gz  is different than the one the source code tries to grab.

Current correct link is in initial post.

Perhaps it would be an idea to have this as a user changeable option in configuration?
Comment 5 Myriam Schweingruber 2014-03-11 10:25:20 UTC
What would you wan to have as a changeable option, the link? That is internal to the code, and I very much doubt this would help. Iif they changed the URL for the XML dump we will have to change it as well, making this a user option is pretty useless as most users wouldn't know what to do anyway.
Comment 6 danielalston 2014-03-11 10:44:02 UTC
Yes, I was referring to the link to the dump file.  I just thought it would be handy to be manually change it if ever needed.
Comment 7 yash ladia 2014-03-11 20:47:37 UTC
Patch created. Please review:
https://git.reviewboard.kde.org/r/116741/
Comment 8 Dan Meltzer 2014-05-08 00:06:11 UTC
Git commit 01b3ab9fd70b158bfc6f4529ce22a671c5d2820c by Daniel Meltzer.
Committed on 07/05/2014 at 22:51.
Pushed by dmeltzer into branch 'master'.

Update URL for Jamendo Database.

Jamendo has changed hosts.  This updates the url to the new location.
The api is deprecated, but it works again at least.
CCMAIL: yashladia@gmail.com
REVIEW: 116741

M  +2    -0    ChangeLog
M  +5    -4    src/services/jamendo/JamendoService.cpp
M  +1    -1    src/services/jamendo/JamendoXmlParser.h

http://commits.kde.org/amarok/01b3ab9fd70b158bfc6f4529ce22a671c5d2820c